# IntlChar::foldCase

(PHP 7, PHP 8)

IntlChar::foldCase — Realiza un «plegamiento» de un punto de código

### Descripción

public static IntlChar::foldCase(mixed `$codepoint`, int `$options` = `IntlChar::FOLD_CASE_DEFAULT`): mixed

El carácter dado se hace corresponder con un equivalente «plegado» ("case folding"); si el carácter no tiene dicho equivalente, se devuelve el carácter mismo.

### Parámetros

`codepoint`

  El valor de tipo integer del punto de código (p.ej. `0x2603` para U+2603 SNOWMAN), o el carácter codificado como un string UTF-8 (p.ej. `"\u{2603}"`)

`options`

  `IntlChar::FOLD_CASE_DEFAULT` (predeterminada) o `IntlChar::FOLD_CASE_EXCLUDE_SPECIAL_I`.

### Valores devueltos

Devuelve el Simple_Case_Folding del punto de código, si lo hay; de lo contrario devuelve el punto de código en sí.